[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoFloatMsg

Handler called when the control starts floating.

## Declaration

Source position: controls.pp line 1465

`protected procedure TControl.DoFloatMsg(`
`ADockSource: TDragDockObject`
`); virtual;`

## Arguments

`ADockSource` |  | The DockObject of the current drag-dock operation.

## Description

Since TControls cannot float for themselves, a FloatHost site is created and the control is docked into it.

When the control already has a Parent (FloatHost site), the Parent's position and extent is adjusted to fit the DockRect as its ClientRect.